Module ij
Package ij.plugin

# Class FileInfoVirtualStack

java.lang.Object
ij.ImageStack
ij.VirtualStack
ij.plugin.FileInfoVirtualStack

All Implemented Interfaces:
  `PlugIn`

public class FileInfoVirtualStack extends VirtualStack implements PlugIn
This plugin opens a multi-page TIFF file, or a set of raw images, as a virtual stack. It implements the File/Import/TIFF Virtual Stack command.

## Field Summary

### Fields inherited from class ij.ImageStack

`cTable`

## Constructor Summary

Constructors
Constructor
Description
`FileInfoVirtualStack()`
`FileInfoVirtualStack(FileInfo fi)`
`FileInfoVirtualStack(FileInfo[] fi)`
`FileInfoVirtualStack(FileInfo fi, boolean show)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addImage(FileInfo fileInfo)`
Adds an image to this stack.
`void`
`deleteSlice(int n)`
Deletes the specified image, where 1<=n<=nImages.
`String`
`getDirectory()`
Returns the path to the directory containing the images.
`String`
`getFileName(int n)`
Returns the file name of the specified slice, where 1<=n<=nslices.
`int`
`getHeight()`
`ImageProcessor`
`getProcessor(int n)`
Returns an ImageProcessor for the specified image, where 1<=n<=nImages.
`int`
`getSize()`
`String`
`getSliceLabel(int n)`
Returns the label of the Nth image.
`int`
`getWidth()`
`static ImagePlus`
`openVirtual(String path)`
Opens the specified tiff file as a virtual stack.
`void`
`run(String arg)`
This method is called when the plugin is loaded.
`int`
`size()`
Returns the number of slices in this stack.

### Methods inherited from class ij.VirtualStack

`addSlice, addSlice, addSlice, addSlice, deleteLastSlice, getBitDepth, getImageArray, getPixels, getProperties, isVirtual, reduce, saveChanges, setBitDepth, setIndexes, setPixels, setSliceLabel, sortDicom, translate, trim`

### Methods inherited from class ij.ImageStack

`addSlice, addUnsignedShortSlice, convertToFloat, create, create, crop, drawSphere, duplicate, getColorModel, getRoi, getShortSliceLabel, getShortSliceLabel, getSliceLabels, getVoxel, getVoxels, getVoxels, isHSB, isHSB32, isLab, isRGB, setColorModel, setOptions, setProcessor, setRoi, setVoxel, setVoxels, setVoxels, toString, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FileInfoVirtualStack

public FileInfoVirtualStack()

### FileInfoVirtualStack

public FileInfoVirtualStack(FileInfo fi)

### FileInfoVirtualStack

public FileInfoVirtualStack(FileInfo fi, boolean show)

### FileInfoVirtualStack

public FileInfoVirtualStack(FileInfo[] fi)

## Method Details

### openVirtual

public static ImagePlus openVirtual(String path)
Opens the specified tiff file as a virtual stack.

### run

public void run(String arg)
Description copied from interface: `PlugIn`
This method is called when the plugin is loaded. 'arg', which may be blank, is the argument specified for this plugin in IJ_Props.txt.

Specified by:
  `run` in interface `PlugIn`

### deleteSlice

public void deleteSlice(int n)
Deletes the specified image, where 1<=n<=nImages.

Overrides:
  `deleteSlice` in class `VirtualStack`

### getProcessor

public ImageProcessor getProcessor(int n)
Returns an ImageProcessor for the specified image, where 1<=n<=nImages. Returns null if the stack is empty.

Overrides:
  `getProcessor` in class `VirtualStack`

### size

public int size()
Returns the number of slices in this stack.

Overrides:
  `size` in class `VirtualStack`

### getSize

public int getSize()

Overrides:
  `getSize` in class `VirtualStack`

### getSliceLabel

public String getSliceLabel(int n)
Returns the label of the Nth image.

Overrides:
  `getSliceLabel` in class `VirtualStack`

### getWidth

public int getWidth()

Overrides:
  `getWidth` in class `ImageStack`

### getHeight

public int getHeight()

Overrides:
  `getHeight` in class `ImageStack`

### addImage

public void addImage(FileInfo fileInfo)
Adds an image to this stack.

### getDirectory

public String getDirectory()
Description copied from class: `VirtualStack`
Returns the path to the directory containing the images.

Overrides:
  `getDirectory` in class `VirtualStack`

### getFileName

public String getFileName(int n)
Description copied from class: `VirtualStack`
Returns the file name of the specified slice, where 1<=n<=nslices.

Overrides:
  `getFileName` in class `VirtualStack`